AM263Px MCU+ SDK: DeviceConfigSecurity_t Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
DeviceConfigSecurity_t Struct Reference
APIs for SOC Specific Device Drivers » APIs for HSMCLIENT

## Detailed Description

Security configuration structure containing security-related device information.

Layout (in wire order, each field is uint32_t unless noted): [F29H85X only] c29Cpu2SecCfgValidationStatus [F29H85X only] c29Cpu3SecCfgValidationStatus [F29P32X only] c29Cpu2SecCfgValidationStatus certSwRevSSU certSwRevR5SBL certSwRevHSM certSwRevApp bootRetryCounts (bits [7:0] = hsmBootRetryCount, bits [15:8] = sblBootRetryCount) hsmFirmwareUpdateStatus sblFirmwareUpdateStatus c29Cpu1FirmwareUpdateStatus c29Cpu3FirmwareUpdateStatus

Total size: SIZE_OF_SECURITY_DEVICE_CONFIG F29H85X, F29P32X = 48 bytes (12 x uint32_t) Other = 40 bytes (10 x uint32_t)

## Data Fields
uint32_t | reserved1
uint32_t | reserved2
uint32_t | reserved3
uint32_t | reserved4
uint32_t | reserved5
uint32_t | reserved6
uint32_t | bootRetryCounts
uint32_t | hsmFirmwareUpdateStatus
uint32_t | sblFirmwareUpdateStatus
uint32_t | hostCpu1FirmwareUpdateStatus
uint32_t | hostCpu2FirmwareUpdateStatus

## Field Documentation

## ◆ reserved1

uint32_t DeviceConfigSecurity_t::reserved1

## ◆ reserved2

uint32_t DeviceConfigSecurity_t::reserved2

Reserved for alignment

## ◆ reserved3

uint32_t DeviceConfigSecurity_t::reserved3

Reserved for alignment

## ◆ reserved4

uint32_t DeviceConfigSecurity_t::reserved4

Reserved for alignment

## ◆ reserved5

uint32_t DeviceConfigSecurity_t::reserved5

Reserved for alignment

## ◆ reserved6

uint32_t DeviceConfigSecurity_t::reserved6

Reserved for alignment

## ◆ bootRetryCounts

uint32_t DeviceConfigSecurity_t::bootRetryCounts

Reserved for alignment

## ◆ hsmFirmwareUpdateStatus

uint32_t DeviceConfigSecurity_t::hsmFirmwareUpdateStatus

bits [7:0] = hsmBootRetryCount, bits [15:8] = sblBootRetryCount, bits [31:16] = reserved

## ◆ sblFirmwareUpdateStatus

uint32_t DeviceConfigSecurity_t::sblFirmwareUpdateStatus

HSM firmware update status

## ◆ hostCpu1FirmwareUpdateStatus

uint32_t DeviceConfigSecurity_t::hostCpu1FirmwareUpdateStatus

SBL firmware update status

## ◆ hostCpu2FirmwareUpdateStatus

uint32_t DeviceConfigSecurity_t::hostCpu2FirmwareUpdateStatus

Host CPU-1 firmware update status